Skip to main content
GET
One version of a CodeGen script, with its text

Authorizations

x-api-key
string
header
required

Optional API key for authentication (enabled via application.yaml)

Path Parameters

name
string
required
kind
enum<string>
required
Available options:
dataQuality,
transformation
version
integer
required

Response

The version

One version of a pipeline's CodeGen script, without its text.

version
integer
createdAt
string<date-time>
createdBy
string | null

Key label or user that made the change; null for a run.

changeNote
string | null

For example (seeded from pre-versioning state), restored from version 2, imported from catalog archive, adopted repository commit abc1234.

origin
enum<string>
Available options:
save,
run,
regenerate,
repository,
restore,
restore-version
model
string | null

The CodeGen model that wrote this text.

commitSha
string | null

Code repository only. The commit holding this text.

fingerprintMatchesCurrent
boolean

True when the version was written for the pipeline's current instruction and source schema (only those versions can be restored).

isLive
boolean

True for the version runs execute now.

kind
enum<string>
Available options:
dataQuality,
transformation
script
string

The script text of this version.

fingerprint
string
generatedAt
string<date-time>
contractVersion
integer
storage
string | null
repoPath
string | null